Subject: bug#22096: 25.0.50; reading from fifo breaks display

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Dec 2015 10:59:14 +0200

> Date: Sat, 05 Dec 2015 10:19:32 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Mark Oteiza <[email-masked]>
> > Date: Fri, 04 Dec 2015 12:40:38 -0500
> > 
> > I suppose this is two issues, really. I am trying to read from a FIFO,
> > specifically one written to by mpd, configured in mpd.conf with
> > 
> > audio_output {
> >   type "fifo"
> >   name "FIFO"
> >   path "/tmp/mpd.fifo"
> >   format "44100:16:2"
> > }
> > 
> > With mpd running I can see that the FIFO is there and I can read from it
> > with other tools/mpd clients.
> > 
> > (info "(elisp) Reading from Files") suggests I should be able to read
> > from a FIFO.
> 
> I guess you mean this part:
> 
>      It is possible to read a special file (such as a FIFO or an I/O
>      device) with `insert-file-contents', as long as REPLACE and VISIT
>      are `nil'.
> 
> It seems this is no longer true, and we have to fix the manual to that
> effect.

Or maybe that text just gets the value of VISIT wrong: the code in
question is very old, and always signaled an error for non-regular
files when VISIT is nil.